Subject: Re: [PATCH 2/4] net: sfp: allow to use also SFP modules which are detected as SFF

From: Russell King - ARM Linux admin <[email-masked]>
Date: Wed, 30 Dec 2020 16:11:51 +0000

On Wed, Dec 30, 2020 at 04:47:53PM +0100, Pali Rohár wrote:
> Some GPON SFP modules (e.g. Ubiquiti U-Fiber Instant) have set SFF phys_id
> in their EEPROM. Kernel SFP subsystem currently does not allow to use
> modules detected as SFF.
> 
> This change extends check for SFP modules so also those with SFF phys_id
> are allowed. With this change also GPON SFP module Ubiquiti U-Fiber Instant
> is recognized.

I really don't want to do this for every single module out there.
It's likely that Ubiquiti do this crap as a vendor lock-in measure.
Let's make it specific to Ubiquiti modules _only_ until such time
that we know better.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!